> ## Documentation Index
> Fetch the complete documentation index at: https://docs.energy.nayax.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a panel



## OpenAPI

````yaml /api/specs/energy-management-api.json post /energy-management/v1/panels
openapi: 3.0.0
info:
  title: Lynkwell API
  version: 1.376.0
  description: API Documentation for Energy Management service
servers:
  - url: https://api.lynkwell.com
security: []
tags: []
paths:
  /energy-management/v1/panels:
    post:
      tags:
        - Panels
      summary: Create a panel
      requestBody:
        description: Details of the panel to create
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreatePanelReqSchema'
      responses:
        '200':
          description: Panel was created successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PanelSchema200'
        '400':
          description: Request body was invalid.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreatePanelBadRequestErrorSchema'
        '404':
          description: One of the associated entities not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PanelNotFoundErrorSchema'
        '500':
          description: Internal Server error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalErrorSchema'
      security:
        - oauth2:
            - write:panel
components:
  schemas:
    CreatePanelReqSchema:
      oneOf:
        - type: object
          properties:
            name:
              type: string
              minLength: 1
              maxLength: 50
            networkId:
              type: string
              minLength: 1
              maxLength: 50
            locationId:
              type: string
              minLength: 1
              maxLength: 50
            voltageRating:
              type: string
              enum:
                - 208/240
            amperageRating:
              type: number
              minimum: 1
              maximum: 10000
            phaseType:
              type: string
              enum:
                - 3-phase
                - 1-phase
            breakers:
              type: array
              items:
                type: object
                properties:
                  name:
                    type: string
                    minLength: 1
                    maxLength: 50
                  sortOrder:
                    type: number
                    minimum: 1
                  phase:
                    type: string
                    enum:
                      - AB
                      - BC
                      - CA
                      - ABC
                      - NONE
                  amperageRating:
                    type: number
                    minimum: 1
                    maximum: 10000
                  station1:
                    type: object
                    properties:
                      id:
                        type: string
                        minLength: 1
                        maxLength: 50
                    required:
                      - id
                  station2:
                    type: object
                    properties:
                      id:
                        type: string
                        minLength: 1
                        maxLength: 50
                    required:
                      - id
                required:
                  - name
                  - sortOrder
                  - phase
                  - amperageRating
                  - station1
              minItems: 1
          required:
            - name
            - networkId
            - locationId
            - voltageRating
            - amperageRating
            - phaseType
            - breakers
        - type: object
          properties:
            name:
              type: string
              minLength: 1
              maxLength: 50
            networkId:
              type: string
              minLength: 1
              maxLength: 50
            locationId:
              type: string
              minLength: 1
              maxLength: 50
            voltageRating:
              type: string
              enum:
                - '480'
            powerRatingWatts:
              type: number
              minimum: 0
              exclusiveMinimum: true
              maximum: 10000000
            breakers:
              type: array
              items:
                type: object
                properties:
                  name:
                    type: string
                    minLength: 1
                    maxLength: 50
                  sortOrder:
                    type: number
                    minimum: 1
                  phase:
                    type: string
                    enum:
                      - NONE
                      - ABC
                  station1:
                    type: object
                    properties:
                      id:
                        type: string
                        minLength: 1
                        maxLength: 50
                    required:
                      - id
                  station2:
                    type: object
                    nullable: true
                    properties:
                      id:
                        type: string
                        minLength: 1
                        maxLength: 50
                    required:
                      - id
                required:
                  - name
                  - sortOrder
                  - station1
              minItems: 1
          required:
            - name
            - networkId
            - locationId
            - voltageRating
            - powerRatingWatts
            - breakers
    PanelSchema200:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/PanelSchema'
      required:
        - data
    CreatePanelBadRequestErrorSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - BAD_REQUEST
        code:
          type: string
          enum:
            - INVALID_REQUEST_PARAMETERS
            - NETWORK_NOT_ENROLLED
            - CHARGING_STATIONS_ON_DIFFERENT_PANEL
            - CHARGING_STATION_NOT_CONNECTED
            - CONNECTOR_NOT_AVAILABLE
            - MIXED_PANEL_CHARGING_TYPE
            - AC_STATION_ON_480_PANEL
            - DC_STATION_ON_NON_480_PANEL
            - DC_PANEL_UNDER_PROVISIONED
            - DC_CONNECTOR_POWER_INVALID
            - DC_BREAKER_MULTIPLE_STATIONS
        message:
          type: string
        details:
          type: object
          properties: {}
      required:
        - type
        - code
        - message
    PanelNotFoundErrorSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - NOT_FOUND
        code:
          type: string
          enum:
            - NETWORK_NOT_FOUND
            - CHARGING_STATIONS_NOT_FOUND
        message:
          type: string
        details:
          type: object
          properties: {}
      required:
        - type
        - code
        - message
    InternalErrorSchema:
      type: object
      properties:
        type:
          type: string
          enum:
            - INTERNAL_ERROR
        message:
          type: string
          enum:
            - An internal error occurred
      required:
        - type
        - message
    PanelSchema:
      type: object
      properties:
        id:
          type: string
        name:
          type: string
          minLength: 1
          maxLength: 50
        networkId:
          type: string
          minLength: 1
          maxLength: 50
        locationId:
          type: string
          minLength: 1
          maxLength: 50
        voltageRating:
          type: string
          enum:
            - 208/240
            - '480'
        panelChargingType:
          type: string
          enum:
            - AC
            - DC
        powerRatingWatts:
          type: number
          nullable: true
        amperageRating:
          type: number
          minimum: 1
        phaseType:
          type: string
          enum:
            - 3-phase
            - 1-phase
        breakers:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
                minLength: 1
                maxLength: 50
              sortOrder:
                type: number
                minimum: 1
              phase:
                type: string
                enum:
                  - AB
                  - BC
                  - CA
                  - ABC
                  - NONE
              amperageRating:
                type: number
                minimum: 1
              station1:
                type: object
                properties:
                  id:
                    type: string
                    minLength: 1
                    maxLength: 50
                required:
                  - id
              station2:
                type: object
                nullable: true
                properties:
                  id:
                    type: string
                    minLength: 1
                    maxLength: 50
                required:
                  - id
            required:
              - name
              - sortOrder
              - station1
        isArchived:
          type: boolean
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - name
        - networkId
        - locationId
        - voltageRating
        - phaseType
        - breakers
        - createdAt
        - updatedAt
  securitySchemes:
    oauth2:
      type: oauth2
      description: OAuth2 Client Credentials Flow
      flows:
        clientCredentials:
          tokenUrl: https://lynkwell-prod.us.auth0.com/oauth/token
          scopes:
            read:asset: Retrieve assets
            write:asset: Create and update assets
            read:assetgroup: Retrieve asset groups
            write:assetgroup: Create and update asset groups
            read:assetstatus: Retrieve asset statuses
            read:chargingstationmodel: Retrieve charging station models
            write:chargingstationmodel: Create and update charging station models
            write:network: Create and update networks
            write:sitepartner: Create and update site partners
            read:sitepartner: Retrieve site partners
            write:sitepartneruser: Create and update site partner users
            read:sitepartneruser: Retrieve site partner users
            read:networkaccessprofile: Retrieve network access profiles
            write:paymentprofile: Create payment profile
            write:onboardinglink: Create an onboarding link
            read:invoice: Retrieve an invoice
            write:session: Create or update a session
            read:session: Retrieve a session
            write:ticket: Create a ticket
            write:verificationcode: Send and confirm verification codes
            write:driver: Create and update drivers
            read:driver: Retrieve drivers
            write:token: Create and update tokens
            read:token: Retrieve tokens
            read:tokenvalue: Retrieve token by ID including its value
            write:invitecode: Create and update invite codes
            write:invitation: Create and update invitations
            read:invitation: Retrieve invitations
            read:payment_terminals_payment: Read payments from payment terminal
            abort:session: Abruptly end session
            read:paymentprofile: Retrieve payment profile from payment terminal
            write:ocpp: Sends request over OCPP
            write:ocpp.raw_request: Sends raw request over OCPP
            write:notification.email: Create and update email
            read:invoiceitem: Retrieve invoice item
            read:subscription: Retrieve subscription
            write:plugandcharge_enrollment: Update Plug and Charge enrollment status
            write:projects: Create and update projects
            read:projects: Retrieve projects
            write:project_stations: Create and update project stations
            write:panel: Create and update panels.
            read:panel: Retrieve panels.
            write:webhooks: Create, update, and delete webhooks
            read:webhooks: Retrieve webhooks

````